> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add a new messaging service



## OpenAPI

````yaml /api-reference/4.2/service-messaging.json post /messaging/service
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service messaging
servers:
  - url: /api/apollo/
security: []
tags:
  - name: messaging
paths:
  /messaging/service:
    post:
      tags:
        - 4.2 Messaging API
      summary: Add a new messaging service
      operationId: addService
      requestBody:
        $ref: '#/components/requestBodies/MessageServiceConfiguration'
      responses:
        default:
          description: successful operation
components:
  requestBodies:
    MessageServiceConfiguration:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/MessageServiceConfiguration'
      description: JSON-formatted configuration values
  schemas:
    MessageServiceConfiguration:
      type: object
      properties:
        serviceType:
          type: string

````